module JamRuby
  class DailyJob
    extend Resque::Plugins::JamLonelyJob

    @queue = :scheduled_daily_job
    @@log = Logging.logger[DailyJob]

    class << self
      def perform
        @@log.debug("waking up")
        calendar_manager = CalendarManager.new
        calendar_manager.cleanup()
        @@log.debug("done")
      end
    end
  end
end
